GNU bug report logs - #54525
[patchs] Let thunar support plugin search patchs and add some thunar plugins.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: "Feng Shu" <tumashu@HIDDEN>; Keywords: patch; merged with #54526; dated Tue, 22 Mar 2022 20:48:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 13:04:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 09:04:39 2022
Received: from localhost ([127.0.0.1]:60186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZBWZ-00056M-5S
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:39 -0400
Received: from m12-18.163.com ([220.181.12.18]:50990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nZBWI-000556-7D
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=1B0zv
 a+NVRbWRuWqJNM65Vc3DpNA5J6psdHQ9/fZpkk=; b=UO7y6R6AvK2jIGhhtEDyH
 EZ9taDldt5vkqVYdcQSUGydG0sP6omAD45qr6gWirLFXf6fauFam/2djiU61qUEU
 FZV83jk7QbB/vfXvEnRPOSDIBYUnzKM4lp47xn3hbk6sqlHk9Lv5gzwrljv19V6U
 jMDtWmiBx5tswDsMiNamYo=
Received: from localhost.localdomain (unknown [117.92.30.200])
 by smtp14 (Coremail) with SMTP id EsCowACHgQDEA0Ni1EciAA--.2550S5;
 Tue, 29 Mar 2022 21:04:15 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [patch v2 4/5] gnu: Add thunar-vcs-plugin.
Date: Tue, 29 Mar 2022 21:04:01 +0800
Message-Id: <20220329130402.26022-4-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220329130402.26022-1-tumashu@HIDDEN>
References: <20220329130402.26022-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: EsCowACHgQDEA0Ni1EciAA--.2550S5
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF47uryfXrWDZrWxCw17Jrb_yoW8tF13pr
 1fC34Fgw4fKr93AFWfWr1j9w13C3yftF4YyanxCryfta1UKw48CF9rta98Ar13Cw17Aw47
 Cw1DWa17GFyUZrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0zRA9NfUUUUU=
X-Originating-IP: [117.92.30.200]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiwA-S1FXlvDS8dwAAs6
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-vcs-plugin): New variable.
---
 gnu/packages/xfce.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 44d34cab8f..182fe0fd8f 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -35,6 +35,7 @@
 (define-module (gnu packages xfce)
   #:use-module (gnu artwork)
   #:use-module (gnu packages)
+  #:use-module (gnu packages apr)
   #:use-module (gnu packages base)
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages cdrom)
@@ -63,6 +64,8 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages search)
+  #:use-module (gnu packages textutils)
+  #:use-module (gnu packages version-control)
   #:use-module (gnu packages web)
   #:use-module (gnu packages wm)
   #:use-module (gnu packages xml)
@@ -858,6 +861,42 @@ (define-public thunar-media-tags-plugin
 tags-based file renaming from inside Thunar Bulk Renamer.")
     (license gpl2+)))
 
+(define-public thunar-vcs-plugin
+  (package
+    (name "thunar-vcs-plugin")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "1f2d1dwfyi6xv3qkd8l8xh0vhz8wh0601cyigjzn426lqga1d29n"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:configure-flags
+           #~(list (string-append "CPPFLAGS=-I"
+                                  #$(this-package-input "apr-util")
+                                  "/include/apr-1"))))
+    (native-inputs (list pkg-config intltool utf8proc))
+    (inputs
+     (list exo
+           gtk+
+           thunar
+           libxfce4util
+           apr
+           apr-util
+           subversion
+           git))
+    (home-page "https://www.xfce.org/")
+    (synopsis "VCS plugin for Thunar file manager")
+    (description
+     "Thunar VCS Plugin (formerly known as Thunar SVN Plugin) gives SVN and
+GIT integration to Thunar, it adds Subversion and GIT actions to the context
+menu.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 13:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 09:04:31 2022
Received: from localhost ([127.0.0.1]:60183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZBWQ-000561-FX
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:31 -0400
Received: from m12-18.163.com ([220.181.12.18]:51005)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nZBWM-000559-9O
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=dgOFb
 yHhYNWRPE7yfrPkPPRHC6aiH2IwuP2EswAimUE=; b=c4hB2VXbnsfMY597puWDF
 tcs2no6+rn0sIXr6TlkMe6NanctoUya9pMWMgqCW0r0jwZiBRRsbkJKsJr5RnmnU
 aZYsWMvl6cZfQfQ5NR8pUT3Dr7T8Q2SB4KnewA5WEuBrMLOn/Qed3RK7MF54mlPd
 HcN970OABppdmUR+DzE5Q4=
Received: from localhost.localdomain (unknown [117.92.30.200])
 by smtp14 (Coremail) with SMTP id EsCowACHgQDEA0Ni1EciAA--.2550S6;
 Tue, 29 Mar 2022 21:04:17 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [patch v2 5/5] gnu: thunar: Add search path for "THUNARX_DIRS".
Date: Tue, 29 Mar 2022 21:04:02 +0800
Message-Id: <20220329130402.26022-5-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220329130402.26022-1-tumashu@HIDDEN>
References: <20220329130402.26022-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: EsCowACHgQDEA0Ni1EciAA--.2550S6
X-Coremail-Antispam: 1Uf129KBjvJXoW3tFWkZF1rXr1xtr1kuFW3ZFb_yoWDWFWxpr
 4rCryYq3y8Wr4kJa93Za1UXF15C348XF4Y93WfG3Waywn8Wry5uayxtr45Ar17ur4Ut3Wa
 grWaqw1UWFy5JFJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UnSdkUUUUU=
X-Originating-IP: [117.92.30.200]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiLxHS1FUMbuimmQAAsY
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar)[native-search-paths]: new field.
[source]: Add thunar-search-paths.patch.
* gnu/local.mk: Add thunar-search-paths.patch.
---
 gnu/local.mk                                  |   1 +
 .../patches/thunar-search-paths.patch         | 214 ++++++++++++++++++
 gnu/packages/xfce.scm                         |  12 +-
 3 files changed, 226 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/thunar-search-paths.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index a704161abc..f715ec564a 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1845,6 +1845,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/texi2html-document-encoding.patch	\
   %D%/packages/patches/texi2html-i18n.patch			\
   %D%/packages/patches/thefuck-test-environ.patch		\
+  %D%/packages/patches/thunar-search-paths.patch		\
   %D%/packages/patches/tidy-CVE-2015-5522+5523.patch		\
   %D%/packages/patches/tinyxml-use-stl.patch			\
   %D%/packages/patches/tipp10-disable-downloader.patch		\
diff --git a/gnu/packages/patches/thunar-search-paths.patch b/gnu/packages/patches/thunar-search-paths.patch
new file mode 100644
index 0000000000..31f54cbdc0
--- /dev/null
+++ b/gnu/packages/patches/thunar-search-paths.patch
@@ -0,0 +1,214 @@
+From 848f1dfb2d2f404efa5371817285236d33b32a5c Mon Sep 17 00:00:00 2001
+From: tumashu <tumashu@HIDDEN>
+Date: Tue, 22 Mar 2022 20:16:19 +0000
+Subject: [PATCH] Look for thunar plugins at $THUNARX_DIRS (Issue #748)
+
+THUNARX_DIRS is a list of directories where thunar plugins are looked for. It
+is needed for distributions like NixOS or Guix System that do not install all
+plugins in the same directory. In NixOS or Guix System each package is
+installed in a self contained directory.
+
+This patch has been merged into thunar master:
+1. Issue:         https://gitlab.xfce.org/xfce/thunar/-/issues/748
+2. Merge Request: https://gitlab.xfce.org/xfce/thunar/-/merge_requests/197
+
+---
+ thunarx/thunarx-provider-factory.c | 86 +++++++++++++++++-------------
+ thunarx/thunarx-provider-module.c  | 68 ++++++++++++++---------
+ 2 files changed, 91 insertions(+), 63 deletions(-)
+
+diff --git a/thunarx/thunarx-provider-factory.c b/thunarx/thunarx-provider-factory.c
+index 94b11545..386c3417 100644
+--- a/thunarx/thunarx-provider-factory.c
++++ b/thunarx/thunarx-provider-factory.c
+@@ -154,54 +154,66 @@ thunarx_provider_factory_load_modules (ThunarxProviderFactory *factory)
+   GList                 *modules = NULL;
+   GList                 *lp;
+   GDir                  *dp;
++  gchar                 *dirs_string;
++  gchar                **dirs;
+ 
+-  dp = g_dir_open (THUNARX_DIRECTORY, 0, NULL);
+-  if (G_LIKELY (dp != NULL))
++  dirs_string = (gchar *) g_getenv ("THUNARX_DIRS");
++  if (!dirs_string)
++    dirs_string = THUNARX_DIRECTORY;
++  dirs = g_strsplit (dirs_string, G_SEARCHPATH_SEPARATOR_S, 0);
++
++  for (int i = 0; dirs[i] != NULL; i++)
+     {
+-      /* determine the types for all existing plugins */
+-      for (;;)
+-        {
+-          /* read the next entry from the directory */
+-          name = g_dir_read_name (dp);
+-          if (G_UNLIKELY (name == NULL))
+-            break;
+ 
+-          /* check if this is a valid plugin file */
+-          if (g_str_has_suffix (name, "." G_MODULE_SUFFIX))
+-            {
+-              /* check if we already have that module */
+-              for (lp = thunarx_provider_modules; lp != NULL; lp = lp->next)
+-                if (g_str_equal (G_TYPE_MODULE (lp->data)->name, name))
+-                  break;
++      dp = g_dir_open (dirs[i], 0, NULL);
+ 
+-              /* use or allocate a new module for the file */
+-              if (G_UNLIKELY (lp != NULL))
+-                {
+-                  /* just use the existing module */
+-                  module = THUNARX_PROVIDER_MODULE (lp->data);
+-                }
+-              else
+-                {
+-                  /* allocate the new module and add it to our list */
+-                  module = thunarx_provider_module_new (name);
+-                  thunarx_provider_modules = g_list_prepend (thunarx_provider_modules, module);
+-                }
++      if (G_LIKELY (dp != NULL))
++        {
++          /* determine the types for all existing plugins */
++          for (;;)
++            {
++              /* read the next entry from the directory */
++              name = g_dir_read_name (dp);
++              if (G_UNLIKELY (name == NULL))
++                break;
+ 
+-              /* try to load the module */
+-              if (g_type_module_use (G_TYPE_MODULE (module)))
++              /* check if this is a valid plugin file */
++              if (g_str_has_suffix (name, "." G_MODULE_SUFFIX))
+                 {
+-                  /* add the types provided by the module */
+-                  thunarx_provider_factory_add (factory, module);
+-
+-                  /* add the module to our list */
+-                  modules = g_list_prepend (modules, module);
++                  /* check if we already have that module */
++                  for (lp = thunarx_provider_modules; lp != NULL; lp = lp->next)
++                    if (g_str_equal (G_TYPE_MODULE (lp->data)->name, name))
++                      break;
++
++                  /* use or allocate a new module for the file */
++                  if (G_UNLIKELY (lp != NULL))
++                    {
++                      continue;
++                    }
++                  else
++                    {
++                      /* allocate the new module and add it to our list */
++                      module = thunarx_provider_module_new (name);
++                      thunarx_provider_modules = g_list_prepend (thunarx_provider_modules, module);
++                    }
++
++                  /* try to load the module */
++                  if (g_type_module_use (G_TYPE_MODULE (module)))
++                    {
++                      /* add the types provided by the module */
++                      thunarx_provider_factory_add (factory, module);
++
++                      /* add the module to our list */
++                      modules = g_list_prepend (modules, module);
++                    }
+                 }
+             }
+-        }
+ 
+-      g_dir_close (dp);
++          g_dir_close (dp);
++        }
+     }
+ 
++  g_strfreev (dirs);
+   return modules;
+ }
+ 
+diff --git a/thunarx/thunarx-provider-module.c b/thunarx/thunarx-provider-module.c
+index 023ad2ae..5ddf38b2 100644
+--- a/thunarx/thunarx-provider-module.c
++++ b/thunarx/thunarx-provider-module.c
+@@ -175,37 +175,53 @@ thunarx_provider_module_load (GTypeModule *type_module)
+ {
+   ThunarxProviderModule *module = THUNARX_PROVIDER_MODULE (type_module);
+   gchar                 *path;
++  gchar                 *dirs_string;
++  gchar                **dirs;
++  gboolean               found;
+ 
+-  /* load the module using the runtime link editor */
+-  path = g_build_filename (THUNARX_DIRECTORY, type_module->name, NULL);
+-  module->library = g_module_open (path, G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL);
+-  g_free (path);
++  dirs_string = (gchar *) g_getenv ("THUNARX_DIRS");
++  if (!dirs_string)
++    dirs_string = THUNARX_DIRECTORY;
++  dirs = g_strsplit (dirs_string, G_SEARCHPATH_SEPARATOR_S, 0);
+ 
+-  /* check if the load operation was successfull */
+-  if (G_UNLIKELY (module->library == NULL))
+-    {
+-      g_printerr ("Thunar :Failed to load plugin `%s': %s\n", type_module->name, g_module_error ());
+-      return FALSE;
+-    }
++  found = FALSE;
+ 
+-  /* verify that all required public symbols are present in the plugin's symbol table */
+-  if (!g_module_symbol (module->library, "thunar_extension_shutdown", (gpointer) &module->shutdown)
+-      || !g_module_symbol (module->library, "thunar_extension_initialize", (gpointer) &module->initialize)
+-      || !g_module_symbol (module->library, "thunar_extension_list_types", (gpointer) &module->list_types))
++  for (int i = 0; !found && dirs[i] != NULL; i++)
+     {
+-      g_printerr ("Thunar :Plugin `%s' lacks required symbols.\n", type_module->name);
+-      g_module_close (module->library);
+-      return FALSE;
++      /* load the module using the runtime link editor */
++      path = g_build_filename (dirs[i], type_module->name, NULL);
++
++      module->library = g_module_open (path, G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL);
++      g_free (path);
++
++      /* check if the load operation was successfull */
++      if (G_UNLIKELY (module->library == NULL))
++        {
++          g_printerr ("Thunar :Failed to load plugin `%s' from `%s': %s\n", type_module->name, path, g_module_error ());
++          continue;
++        }
++
++      /* verify that all required public symbols are present in the plugin's symbol table */
++      if (!g_module_symbol (module->library, "thunar_extension_shutdown", (gpointer) &module->shutdown)
++          || !g_module_symbol (module->library, "thunar_extension_initialize", (gpointer) &module->initialize)
++          || !g_module_symbol (module->library, "thunar_extension_list_types", (gpointer) &module->list_types))
++        {
++          g_printerr ("Thunar :Plugin `%s' in `%s' lacks required symbols.\n", type_module->name, path);
++          g_module_close (module->library);
++          continue;
++        }
++
++      /* initialize the plugin */
++      (*module->initialize) (module);
++
++      /* ensure that the module will never be unloaded if it requests to be kept in memory */
++      if (G_UNLIKELY (module->resident))
++        g_module_make_resident (module->library);
++
++      found = TRUE;
+     }
+-
+-  /* initialize the plugin */
+-  (*module->initialize) (module);
+-
+-  /* ensure that the module will never be unloaded if it requests to be kept in memory */
+-  if (G_UNLIKELY (module->resident))
+-    g_module_make_resident (module->library);
+-
+-  return TRUE;
++  g_strfreev (dirs);
++  return found;
+ }
+ 
+ 
+-- 
+2.34.0
+
diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 182fe0fd8f..d3b3026d14 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2020, 2021, 2022 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2021 André A. Gomes <andremegafone@HIDDEN>
+;;; Copyright © 2022 Feng Shu <tumashu@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -747,7 +748,12 @@ (define-public thunar
                                   "thunar-" version ".tar.bz2"))
               (sha256
                (base32
-                "14lwi4ax0wj77980kkfhdf18b97339b17y8qc8gl2365mgswh1gi"))))
+                "14lwi4ax0wj77980kkfhdf18b97339b17y8qc8gl2365mgswh1gi"))
+              (patches
+               (search-patches
+                ;; NOTE: This patch is backported from thunar.git, it should
+                ;; be removed when update to thunar-4.18.
+                "thunar-search-paths.patch"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
@@ -762,6 +768,10 @@ (define-public thunar
            pcre
            xfce4-panel
            startup-notification))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "THUNARX_DIRS")
+            (files (list "lib/thunarx-3")))))
     (home-page "https://www.xfce.org/")
     (synopsis "Xfce file manager")
     (description
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 13:04:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 09:04:27 2022
Received: from localhost ([127.0.0.1]:60181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZBWN-00055m-3g
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:27 -0400
Received: from m12-18.163.com ([220.181.12.18]:50967)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nZBWG-000554-ND
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=4hAe5
 KvMuLcR824zY0GF8qPUANJRGWpIo0FIvYp/gbA=; b=KwRBXmos3Jt7FfCs2WFOF
 Whnkgn+I4FpQuVtt+y3qMV4kn4+pCsHq1iXnxSrxwiq7ExQDKh/oYCE3ukTQGKKB
 EHr3K38j7cjW55sIAVNEe0o0bj2PoQSyun3Y5hDJ/XcHe4Z+qA5QgP/Dhgen+ebF
 7XKD01JG/WeRciUEcStIPQ=
Received: from localhost.localdomain (unknown [117.92.30.200])
 by smtp14 (Coremail) with SMTP id EsCowACHgQDEA0Ni1EciAA--.2550S4;
 Tue, 29 Mar 2022 21:04:13 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [patch v2 3/5] gnu: Add thunar-media-tags-plugin.
Date: Tue, 29 Mar 2022 21:04:00 +0800
Message-Id: <20220329130402.26022-3-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220329130402.26022-1-tumashu@HIDDEN>
References: <20220329130402.26022-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: EsCowACHgQDEA0Ni1EciAA--.2550S4
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF4xZF4DKrW7XryxtryftFb_yoW8Ar4Upr
 yfAw1rWw4FgryfAayfWw4aka4Y9rZ3Ja15Ka97C345ta1jgw48Cry2ya15Ar13Aw1xAw47
 Kw4vqw4UGFyUXrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0zi3fH5UUUUU=
X-Originating-IP: [117.92.30.200]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiLwzS1FUMbuimLwABsy
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-media-tags-plugin): New variable.
---
 gnu/packages/xfce.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 8bfa3a9422..44d34cab8f 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -52,6 +52,7 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages libcanberra)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages mate)
+  #:use-module (gnu packages mp3)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages photo)
@@ -835,6 +836,28 @@ (define-public thunar-shares-plugin
 Samba from Thunar (the Xfce file manager) without requiring root access.")
     (license gpl2+)))
 
+(define-public thunar-media-tags-plugin
+  (package
+    (name "thunar-media-tags-plugin")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "06sr7b4p9f585gian8vpx7j0pkzg0vvwcrjmrhvh7i5sb90w8rg2"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo gtk+ thunar taglib))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Media tags plugin for Thunar file manager")
+    (description
+     "Media tags plugin allows tags editing from Thunar file manager and
+tags-based file renaming from inside Thunar Bulk Renamer.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 13:04:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 09:04:22 2022
Received: from localhost ([127.0.0.1]:60178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZBWH-00055V-OH
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:22 -0400
Received: from m12-18.163.com ([220.181.12.18]:50685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nZBWC-00054y-Si
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=O+HFl
 Yf43cLy5G+NV3ivLFrIEvOwLo+gKT+//Zhe5DQ=; b=HRNHhEjVFFUm2pkAuKAz/
 SSQKXOR5cMoM4VAVGeWJ8LO9eZN5rJZw2DUc99jx2e1DSN+QkNmFpfWQ1IMyMfc5
 0aDXAqhr179iLk/zB0XZz84tm+sK8mEbeV4SXYy/+Ps7GAR358yCYCOYyXR5Bf/Y
 JLZpmC/aVlMviNF7ONfiz4=
Received: from localhost.localdomain (unknown [117.92.30.200])
 by smtp14 (Coremail) with SMTP id EsCowACHgQDEA0Ni1EciAA--.2550S2;
 Tue, 29 Mar 2022 21:04:08 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [patch v2 1/5] gnu: Add thunar-archive-plugin.
Date: Tue, 29 Mar 2022 21:03:58 +0800
Message-Id: <20220329130402.26022-1-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: EsCowACHgQDEA0Ni1EciAA--.2550S2
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF43AryDtFyrXr4DGF4xCrg_yoW8Gr1xpr
 1rur1Yg34Sg34fAayfWF1Yqa4YqFs3AFn5Cwn7Zw17Gw4aqr48urySyrWYyr9xCr4xAw42
 gan3Xw4UWFy5ArJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0pEWlyAUUUUU=
X-Originating-IP: [117.92.30.200]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbBEQTS1FaEHWrY-AAAsS
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-archive-plugin): New variable.
---
 gnu/packages/xfce.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 90f7467cef..1b0e262735 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -792,6 +792,27 @@ (define-public thunar-volman
 and import the new pictures from your camera.")
     (license gpl2+)))
 
+(define-public thunar-archive-plugin
+  (package
+    (name "thunar-archive-plugin")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "059ikda4hig1iqk0g5kqc4p95chj0z1ljhl5qjrlw4l8lf3gm0mz"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Archive plugin for Thunar file manager")
+    (description "The Thunar Archive Plugin allows you to create and extract
+archive files using the file context menus in the Thunar file manager.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 13:04:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 09:04:21 2022
Received: from localhost ([127.0.0.1]:60176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZBWH-00055O-DQ
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:21 -0400
Received: from m12-18.163.com ([220.181.12.18]:50859)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nZBWE-000551-VR
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 09:04:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=tt0YW
 tlvzSpjCKTW019Uyxh2FZHgRBLFpPVt+Y+rams=; b=lWmwDyDUESYFhMWSmihZV
 xS22mCTzB5wzNAqX3Oesu0XpVpVz89H04B0Xb/KNrpZHdG13cm80ewra4RKfcTGj
 kntWDGlXU6MHK1rV7lDNJYVQlaUvLB8xeeEUK7yGnssKs3rlxM2QSS5PpcV4RWOo
 8xat0+BNTjj3AFkao0ZNqw=
Received: from localhost.localdomain (unknown [117.92.30.200])
 by smtp14 (Coremail) with SMTP id EsCowACHgQDEA0Ni1EciAA--.2550S3;
 Tue, 29 Mar 2022 21:04:12 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [patch v2 2/5] gnu: Add thunar-shares-plugin.
Date: Tue, 29 Mar 2022 21:03:59 +0800
Message-Id: <20220329130402.26022-2-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220329130402.26022-1-tumashu@HIDDEN>
References: <20220329130402.26022-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: EsCowACHgQDEA0Ni1EciAA--.2550S3
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF4xArWfJw18Jr1UGw18uFg_yoW8GF17pr
 W3Cr1Yqw4SgryxA3yfuF43Xa4YvFWrGFnY9wn7A345t3Wjqr4kWryftrWakrnxCF4xtw42
 gws3X3yUGFyUA3DanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0pE9NsdUUUUU=
X-Originating-IP: [117.92.30.200]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiwAnS1FXlvDS78wABs+
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-shares-plugin): New variable.
---
 gnu/packages/xfce.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 1b0e262735..8bfa3a9422 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -813,6 +813,28 @@ (define-public thunar-archive-plugin
 archive files using the file context menus in the Thunar file manager.")
     (license gpl2+)))
 
+(define-public thunar-shares-plugin
+  (package
+    (name "thunar-shares-plugin")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "182j8jl91735004hbl0i2xxga4r6fk03srfl6g87czkjm9y8q7fw"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Folder share plugin for Thunar file manager")
+    (description
+     "The Thunar Shares Plugin allows you to quickly share a folder using
+Samba from Thunar (the Xfce file manager) without requiring root access.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 29 Mar 2022 09:45:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 05:45:53 2022
Received: from localhost ([127.0.0.1]:59867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZ8QD-0002PS-6W
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 05:45:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nZ8QA-0002HE-O2
 for 54525 <at> debbugs.gnu.org; Tue, 29 Mar 2022 05:45:51 -0400
Received: from [2001:470:142:3::e] (port=60826 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nZ8Q5-0001QP-BJ; Tue, 29 Mar 2022 05:45:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=EI79mHhqXt2aV9vu7zA5UkCW8smuyvdFNbAAPw4BIhI=; b=bw0Ud2ST7M/LnC9u5Szp
 EVNCr2haZlG737HkJn8IB+M8KafnSYCK7rkru050rjnGzx7cc7bwwNrJPNCuEmZ1BtKvYO5mpWtYA
 ZKEjxQvgReMga2/VW/RG9tHXSfK9vr3e+H0uT785GQGvZ7vwXgxWm+b0ktiV9fc4CJcCpEH5g4VqL
 WLUKxsUXs8XkrLkEpUDXOOCooOpeqJS2aizx8Y+X9LbbcJ7V+Uig7JJKuGlri55+KwX48rplHDKt6
 fu2uiC2YRUuxGv4nGyuUBE6/D1xqANvgYjcZ48T/BHEGJB8QP8q5Cqsiw9Dz14NlGjvTMPFvPiqVQ
 YDKRgLp3khMMNg==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=38674 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nZ8Pl-0002IX-63; Tue, 29 Mar 2022 05:45:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: tumashu@HIDDEN
Subject: Re: bug#54525: [patchs] Let thunar support plugin search patchs and
 add some thunar plugins.
References: <20220322204942.9624-1-tumashu@HIDDEN>
 <20220322204942.9624-5-tumashu@HIDDEN>
Date: Tue, 29 Mar 2022 11:45:20 +0200
In-Reply-To: <20220322204942.9624-5-tumashu@HIDDEN> (tumashu@HIDDEN's
 message of "Wed, 23 Mar 2022 04:49:42 +0800")
Message-ID: <87o81p2itr.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54525
Cc: 54525 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

tumashu@HIDDEN skribis:

> From: Feng Shu <tumashu@HIDDEN>
>
> * gnu/packages/xfce.scm (thunar)[native-search-paths]: new field.
> [source]: Add thunar-search-paths.patch.

Please add the patch to gnu/local.mk.

> +++ b/gnu/packages/patches/thunar-search-paths.patch
> @@ -0,0 +1,211 @@
> +From 848f1dfb2d2f404efa5371817285236d33b32a5c Mon Sep 17 00:00:00 2001
> +From: tumashu <tumashu@HIDDEN>
> +Date: Tue, 22 Mar 2022 20:16:19 +0000
> +Subject: [PATCH] Look for thunar plugins at $THUNARX_DIRS (Issue #748)
> +
> +THUNARX_DIRS is a list of directories where thunar plugins are looked
> +for. It is needed for distributions like NixOS/GuixOS that do not
> +install all plugins in the same directory. In NixOS/GuixOS each
> +package is installed in a self contained directory.
> +
> +MR !197

There is no such thing as =E2=80=9CGuixOS=E2=80=9D, it=E2=80=99s called =E2=
=80=9CGuix System=E2=80=9D.  :-)

Is this going to be included upstream?  If yes, could you add the URL of
the upstream discussion or merge request?

(If it=E2=80=99s not included upstream, I would suggest =E2=80=9CTHUNARX_PL=
UGIN_PATH=E2=80=9D or
=E2=80=9CTHUNARX_PLUGIN_DIRECTORIES=E2=80=9D for the environment variable n=
ame.)

Apart from that, this patch and the previous ones LGTM.

Could you send a v2 based on that?

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#54525; Package guix-patches. Full text available.
Merged 54525 54526. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'guix' to 'guix-patches'. Request was from Liliana Marie Prikler <liliana.prikler@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 22 Mar 2022 20:50:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:50:16 2022
Received: from localhost ([127.0.0.1]:41967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlSJ-0002TB-88
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:16 -0400
Received: from m12-12.163.com ([220.181.12.12]:50761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlSG-0002Sa-S9
 for 54525 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=gyWku
 DD74gWNZYhKNC7pi4flAL0+qYdd6x8RqLrDbL4=; b=law2txUYmGuIJOKfgFnIA
 5iyr56wT+pUMMj2rM2+IPd2kmzhP+cTqvo8XZD91Uu5e/HbOYupWNtIAUJV5xNtW
 oIQ473S0fXfEso84TnQ+mSuTSNL1SwhzD++U8ctZdpBDE+3yclwVZJrHv/DofNFr
 ts4cYkQEY8E+WxOdOjsAtg=
Received: from localhost.localdomain (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAAXZo5pNjpigBBSBg--.56855S6;
 Wed, 23 Mar 2022 04:50:06 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [PATCH 5/5] gnu: thunar: Add search path for "THUNARX_DIRS".
Date: Wed, 23 Mar 2022 04:49:42 +0800
Message-Id: <20220322204942.9624-5-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220322204942.9624-1-tumashu@HIDDEN>
References: <20220322204942.9624-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: DMCowAAXZo5pNjpigBBSBg--.56855S6
X-Coremail-Antispam: 1Uf129KBjvJXoW3Gr4fGrWUuw4ktr45Kw4kZwb_yoWfZFyxpF
 4rCry5XrW8Wrs7Ja93Za18XF15Cry8WF4Y93WfW3Waywn8Wry5uay7trWYyr17ur4Ut3Wa
 grWaqw17Wry5JrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UFfO7UUUUU=
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB3wbL1GBHIHqVKwAAsF
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar)[native-search-paths]: new field.
[source]: Add thunar-search-paths.patch.
---
 .../patches/thunar-search-paths.patch         | 211 ++++++++++++++++++
 gnu/packages/xfce.scm                         |  12 +-
 2 files changed, 222 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/thunar-search-paths.patch

diff --git a/gnu/packages/patches/thunar-search-paths.patch b/gnu/packages/patches/thunar-search-paths.patch
new file mode 100644
index 0000000000..fcf55ba14f
--- /dev/null
+++ b/gnu/packages/patches/thunar-search-paths.patch
@@ -0,0 +1,211 @@
+From 848f1dfb2d2f404efa5371817285236d33b32a5c Mon Sep 17 00:00:00 2001
+From: tumashu <tumashu@HIDDEN>
+Date: Tue, 22 Mar 2022 20:16:19 +0000
+Subject: [PATCH] Look for thunar plugins at $THUNARX_DIRS (Issue #748)
+
+THUNARX_DIRS is a list of directories where thunar plugins are looked
+for. It is needed for distributions like NixOS/GuixOS that do not
+install all plugins in the same directory. In NixOS/GuixOS each
+package is installed in a self contained directory.
+
+MR !197
+---
+ thunarx/thunarx-provider-factory.c | 86 +++++++++++++++++-------------
+ thunarx/thunarx-provider-module.c  | 68 ++++++++++++++---------
+ 2 files changed, 91 insertions(+), 63 deletions(-)
+
+diff --git a/thunarx/thunarx-provider-factory.c b/thunarx/thunarx-provider-factory.c
+index 94b11545..386c3417 100644
+--- a/thunarx/thunarx-provider-factory.c
++++ b/thunarx/thunarx-provider-factory.c
+@@ -154,54 +154,66 @@ thunarx_provider_factory_load_modules (ThunarxProviderFactory *factory)
+   GList                 *modules = NULL;
+   GList                 *lp;
+   GDir                  *dp;
++  gchar                 *dirs_string;
++  gchar                **dirs;
+ 
+-  dp = g_dir_open (THUNARX_DIRECTORY, 0, NULL);
+-  if (G_LIKELY (dp != NULL))
++  dirs_string = (gchar *) g_getenv ("THUNARX_DIRS");
++  if (!dirs_string)
++    dirs_string = THUNARX_DIRECTORY;
++  dirs = g_strsplit (dirs_string, G_SEARCHPATH_SEPARATOR_S, 0);
++
++  for (int i = 0; dirs[i] != NULL; i++)
+     {
+-      /* determine the types for all existing plugins */
+-      for (;;)
+-        {
+-          /* read the next entry from the directory */
+-          name = g_dir_read_name (dp);
+-          if (G_UNLIKELY (name == NULL))
+-            break;
+ 
+-          /* check if this is a valid plugin file */
+-          if (g_str_has_suffix (name, "." G_MODULE_SUFFIX))
+-            {
+-              /* check if we already have that module */
+-              for (lp = thunarx_provider_modules; lp != NULL; lp = lp->next)
+-                if (g_str_equal (G_TYPE_MODULE (lp->data)->name, name))
+-                  break;
++      dp = g_dir_open (dirs[i], 0, NULL);
+ 
+-              /* use or allocate a new module for the file */
+-              if (G_UNLIKELY (lp != NULL))
+-                {
+-                  /* just use the existing module */
+-                  module = THUNARX_PROVIDER_MODULE (lp->data);
+-                }
+-              else
+-                {
+-                  /* allocate the new module and add it to our list */
+-                  module = thunarx_provider_module_new (name);
+-                  thunarx_provider_modules = g_list_prepend (thunarx_provider_modules, module);
+-                }
++      if (G_LIKELY (dp != NULL))
++        {
++          /* determine the types for all existing plugins */
++          for (;;)
++            {
++              /* read the next entry from the directory */
++              name = g_dir_read_name (dp);
++              if (G_UNLIKELY (name == NULL))
++                break;
+ 
+-              /* try to load the module */
+-              if (g_type_module_use (G_TYPE_MODULE (module)))
++              /* check if this is a valid plugin file */
++              if (g_str_has_suffix (name, "." G_MODULE_SUFFIX))
+                 {
+-                  /* add the types provided by the module */
+-                  thunarx_provider_factory_add (factory, module);
+-
+-                  /* add the module to our list */
+-                  modules = g_list_prepend (modules, module);
++                  /* check if we already have that module */
++                  for (lp = thunarx_provider_modules; lp != NULL; lp = lp->next)
++                    if (g_str_equal (G_TYPE_MODULE (lp->data)->name, name))
++                      break;
++
++                  /* use or allocate a new module for the file */
++                  if (G_UNLIKELY (lp != NULL))
++                    {
++                      continue;
++                    }
++                  else
++                    {
++                      /* allocate the new module and add it to our list */
++                      module = thunarx_provider_module_new (name);
++                      thunarx_provider_modules = g_list_prepend (thunarx_provider_modules, module);
++                    }
++
++                  /* try to load the module */
++                  if (g_type_module_use (G_TYPE_MODULE (module)))
++                    {
++                      /* add the types provided by the module */
++                      thunarx_provider_factory_add (factory, module);
++
++                      /* add the module to our list */
++                      modules = g_list_prepend (modules, module);
++                    }
+                 }
+             }
+-        }
+ 
+-      g_dir_close (dp);
++          g_dir_close (dp);
++        }
+     }
+ 
++  g_strfreev (dirs);
+   return modules;
+ }
+ 
+diff --git a/thunarx/thunarx-provider-module.c b/thunarx/thunarx-provider-module.c
+index 023ad2ae..5ddf38b2 100644
+--- a/thunarx/thunarx-provider-module.c
++++ b/thunarx/thunarx-provider-module.c
+@@ -175,37 +175,53 @@ thunarx_provider_module_load (GTypeModule *type_module)
+ {
+   ThunarxProviderModule *module = THUNARX_PROVIDER_MODULE (type_module);
+   gchar                 *path;
++  gchar                 *dirs_string;
++  gchar                **dirs;
++  gboolean               found;
+ 
+-  /* load the module using the runtime link editor */
+-  path = g_build_filename (THUNARX_DIRECTORY, type_module->name, NULL);
+-  module->library = g_module_open (path, G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL);
+-  g_free (path);
++  dirs_string = (gchar *) g_getenv ("THUNARX_DIRS");
++  if (!dirs_string)
++    dirs_string = THUNARX_DIRECTORY;
++  dirs = g_strsplit (dirs_string, G_SEARCHPATH_SEPARATOR_S, 0);
+ 
+-  /* check if the load operation was successfull */
+-  if (G_UNLIKELY (module->library == NULL))
+-    {
+-      g_printerr ("Thunar :Failed to load plugin `%s': %s\n", type_module->name, g_module_error ());
+-      return FALSE;
+-    }
++  found = FALSE;
+ 
+-  /* verify that all required public symbols are present in the plugin's symbol table */
+-  if (!g_module_symbol (module->library, "thunar_extension_shutdown", (gpointer) &module->shutdown)
+-      || !g_module_symbol (module->library, "thunar_extension_initialize", (gpointer) &module->initialize)
+-      || !g_module_symbol (module->library, "thunar_extension_list_types", (gpointer) &module->list_types))
++  for (int i = 0; !found && dirs[i] != NULL; i++)
+     {
+-      g_printerr ("Thunar :Plugin `%s' lacks required symbols.\n", type_module->name);
+-      g_module_close (module->library);
+-      return FALSE;
++      /* load the module using the runtime link editor */
++      path = g_build_filename (dirs[i], type_module->name, NULL);
++
++      module->library = g_module_open (path, G_MODULE_BIND_LAZY | G_MODULE_BIND_LOCAL);
++      g_free (path);
++
++      /* check if the load operation was successfull */
++      if (G_UNLIKELY (module->library == NULL))
++        {
++          g_printerr ("Thunar :Failed to load plugin `%s' from `%s': %s\n", type_module->name, path, g_module_error ());
++          continue;
++        }
++
++      /* verify that all required public symbols are present in the plugin's symbol table */
++      if (!g_module_symbol (module->library, "thunar_extension_shutdown", (gpointer) &module->shutdown)
++          || !g_module_symbol (module->library, "thunar_extension_initialize", (gpointer) &module->initialize)
++          || !g_module_symbol (module->library, "thunar_extension_list_types", (gpointer) &module->list_types))
++        {
++          g_printerr ("Thunar :Plugin `%s' in `%s' lacks required symbols.\n", type_module->name, path);
++          g_module_close (module->library);
++          continue;
++        }
++
++      /* initialize the plugin */
++      (*module->initialize) (module);
++
++      /* ensure that the module will never be unloaded if it requests to be kept in memory */
++      if (G_UNLIKELY (module->resident))
++        g_module_make_resident (module->library);
++
++      found = TRUE;
+     }
+-
+-  /* initialize the plugin */
+-  (*module->initialize) (module);
+-
+-  /* ensure that the module will never be unloaded if it requests to be kept in memory */
+-  if (G_UNLIKELY (module->resident))
+-    g_module_make_resident (module->library);
+-
+-  return TRUE;
++  g_strfreev (dirs);
++  return found;
+ }
+ 
+ 
+-- 
+2.34.0
+
diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index d3a414ec15..bdeb1e9583 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -16,6 +16,7 @@
 ;;; Copyright © 2020, 2021, 2022 Michael Rohleder <mike@HIDDEN>
 ;;; Copyright © 2021 Brendan Tildesley <mail@HIDDEN>
 ;;; Copyright © 2021 André A. Gomes <andremegafone@HIDDEN>
+;;; Copyright © 2022 Feng Shu <tumashu@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -747,7 +748,12 @@ (define-public thunar
                                   "thunar-" version ".tar.bz2"))
               (sha256
                (base32
-                "14lwi4ax0wj77980kkfhdf18b97339b17y8qc8gl2365mgswh1gi"))))
+                "14lwi4ax0wj77980kkfhdf18b97339b17y8qc8gl2365mgswh1gi"))
+              (patches
+               (search-patches
+                ;; NOTE: This patch is backported from thunar.git, it should
+                ;; be removed when update to thunar-4.18.
+                "thunar-search-paths.patch"))))
     (build-system gnu-build-system)
     (native-inputs
      (list pkg-config intltool))
@@ -762,6 +768,10 @@ (define-public thunar
            pcre
            xfce4-panel
            startup-notification))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "THUNARX_DIRS")
+            (files (list "lib/thunarx-3")))))
     (home-page "https://www.xfce.org/")
     (synopsis "Xfce file manager")
     (description
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 22 Mar 2022 20:50:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:50:13 2022
Received: from localhost ([127.0.0.1]:41964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlSG-0002Sx-Rz
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:13 -0400
Received: from m12-12.163.com ([220.181.12.12]:50727)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlSD-0002SE-39
 for 54525 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=z4r6J
 1OpWN+BlzVyJowARZg+ajPLCUIivF4N3AshmB8=; b=CrB9INjGkPPMgCSNO2Fqm
 AYuUCbYYwz4vb4qS641DbCw0925PyDzEM53kBvW1Micf3h7IBZPV0e6dePSRNFnr
 L2ka2XYXeyRbJ7HFLZx+O4qVSyJ2b9gJjJrbewk7MAw++2me+Q/sdBIru+am6gA5
 vz0JJzJk8HrqcTEBqD0dWE=
Received: from localhost.localdomain (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAAXZo5pNjpigBBSBg--.56855S5;
 Wed, 23 Mar 2022 04:50:02 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [PATCH 4/5] gnu: Add thunar-vcs-plugin.
Date: Wed, 23 Mar 2022 04:49:41 +0800
Message-Id: <20220322204942.9624-4-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220322204942.9624-1-tumashu@HIDDEN>
References: <20220322204942.9624-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: DMCowAAXZo5pNjpigBBSBg--.56855S5
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF47WF4UCr4fWry5CrW3KFg_yoW8tryUpr
 1fC34Fgw4Sgr93AFWfWr1Y9w13C393tFW5tanrCryfta1Utw48CFy7ta98Ar13Cw17Aw47
 Cw1DWw47GFyUZrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x07UjkskUUUUU=
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiLxrL1FUMbhnMuwAAsz
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-vcs-plugin): New variable.
---
 gnu/packages/xfce.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 083e890cc7..d3a414ec15 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -35,6 +35,7 @@
 (define-module (gnu packages xfce)
   #:use-module (gnu artwork)
   #:use-module (gnu packages)
+  #:use-module (gnu packages apr)
   #:use-module (gnu packages base)
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages cdrom)
@@ -63,6 +64,8 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages search)
+  #:use-module (gnu packages textutils)
+  #:use-module (gnu packages version-control)
   #:use-module (gnu packages web)
   #:use-module (gnu packages wm)
   #:use-module (gnu packages xml)
@@ -858,6 +861,40 @@ (define-public thunar-media-tags-plugin
 tags-based file renaming from inside Thunar Bulk Renamer.")
     (license gpl2+)))
 
+(define-public thunar-vcs-plugin
+  (package
+    (name "thunar-vcs-plugin")
+    (version "0.2.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "1f2d1dwfyi6xv3qkd8l8xh0vhz8wh0601cyigjzn426lqga1d29n"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list #:configure-flags
+           #~(list (string-append "CPPFLAGS=-I" #$apr-util "/include/apr-1"))))
+    (native-inputs (list pkg-config intltool utf8proc))
+    (inputs
+     (list exo
+           gtk+
+           thunar
+           libxfce4util
+           apr
+           apr-util
+           subversion
+           git))
+    (home-page "https://www.xfce.org/")
+    (synopsis "VCS plugin for Thunar file manager")
+    (description
+     "Thunar VCS Plugin (formerly known as Thunar SVN Plugin) gives SVN and
+GIT integration to Thunar, it adds Subversion and GIT actions to the context
+menu.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 22 Mar 2022 20:50:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:50:09 2022
Received: from localhost ([127.0.0.1]:41961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlSD-0002Se-EM
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:09 -0400
Received: from m12-12.163.com ([220.181.12.12]:50687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlS8-0002RY-7Q
 for 54525 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=9dmTc
 kfidw3+dXsqUA8U2G8JGJfk7C0cJ4l0co4gdVQ=; b=PJBDXq/3CMgQc5SQX2D9p
 GgK/FH1z41hXgvBmVVP7eaG0qy7HlHoC7ZGZgteiVH2tqFba+BQ7OC+k6XCmvlpP
 bfIe3MEoCscSwzmYUDTEIPgPCfwyPkMDE2VBVeMXrjwxksIf/qiQlOXYJmSLUApi
 BFHUGWuTCMeY/RwbsTBnu0=
Received: from localhost.localdomain (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAAXZo5pNjpigBBSBg--.56855S4;
 Wed, 23 Mar 2022 04:49:57 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [PATCH 3/5] gnu: Add thunar-media-tags-plugin.
Date: Wed, 23 Mar 2022 04:49:40 +0800
Message-Id: <20220322204942.9624-3-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220322204942.9624-1-tumashu@HIDDEN>
References: <20220322204942.9624-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: DMCowAAXZo5pNjpigBBSBg--.56855S4
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF4xZF4DKF43GryfJFWUurg_yoW8Ar4Upr
 yfA34rWw4FgryfAayfWa1aka4Y9rZ3JF45Ka97Cw15ta1jgw48Cry2ya15Ar13Cw1xAw47
 KwsIqw4UGFyUXrJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0ziC38rUUUUU=
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB0xXL1FXltTPE4QAAsK
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-media-tags-plugin): New variable.
---
 gnu/packages/xfce.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index ba4e51a2f3..083e890cc7 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -52,6 +52,7 @@ (define-module (gnu packages xfce)
   #:use-module (gnu packages libcanberra)
   #:use-module (gnu packages linux)
   #:use-module (gnu packages mate)
+  #:use-module (gnu packages mp3)
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pdf)
   #:use-module (gnu packages photo)
@@ -835,6 +836,28 @@ (define-public thunar-shares-plugin
 Samba from Thunar (the Xfce file manager) without requiring root access.")
     (license gpl2+)))
 
+(define-public thunar-media-tags-plugin
+  (package
+    (name "thunar-media-tags-plugin")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "06sr7b4p9f585gian8vpx7j0pkzg0vvwcrjmrhvh7i5sb90w8rg2"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo gtk+ thunar taglib))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Media tags plugin for Thunar file manager")
+    (description
+     "Media tags plugin allows tags editing from Thunar file manager and
+tags-based file renaming from inside Thunar Bulk Renamer.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 22 Mar 2022 20:50:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:50:05 2022
Received: from localhost ([127.0.0.1]:41959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlS9-0002SR-68
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:05 -0400
Received: from m12-12.163.com ([220.181.12.12]:50679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlS6-0002RQ-FN
 for 54525 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=H/gWY
 vNgWlZdfHOBWIHunvJ5nu6ygeFaPZRtu6AC0Oc=; b=anysqL/lrsYqfxDuF3DAA
 +bma94BUZMd9N4NvmNeGWMMnVs8eIVkp4ALX3Yz8QT6OQ+hEfxNAyYa0/bG3RKz5
 1uNyMF9fCJ6AoLrDty1DUlCUh/RQp49ooa3xXUvPBwc5JbdmwG94Lx0nTXGsoLVy
 x9CYMaT1LCK22r8BOD3tkg=
Received: from localhost.localdomain (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAAXZo5pNjpigBBSBg--.56855S3;
 Wed, 23 Mar 2022 04:49:55 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [PATCH 2/5] gnu: Add thunar-shares-plugin.
Date: Wed, 23 Mar 2022 04:49:39 +0800
Message-Id: <20220322204942.9624-2-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
In-Reply-To: <20220322204942.9624-1-tumashu@HIDDEN>
References: <20220322204942.9624-1-tumashu@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: DMCowAAXZo5pNjpigBBSBg--.56855S3
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF4xArWfJw1UtFyfGF1rZwb_yoW8GF17pr
 W3Cr1Yqw4SgryxA3yfuF43Xa4YvFZ5CFnY9wn7A343ta1jqrWkWryftrWakrnxCF4xtw42
 gws3X3yUGFyUJ3DanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0p_a93NUUUUU=
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/xtbB3xPL1GBHIHqUSwAAsx
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-shares-plugin): New variable.
---
 gnu/packages/xfce.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index 9de3db3cc4..ba4e51a2f3 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -813,6 +813,28 @@ (define-public thunar-archive-plugin
 archive files using the file context menus in the Thunar file manager.")
     (license gpl2+)))
 
+(define-public thunar-shares-plugin
+  (package
+    (name "thunar-shares-plugin")
+    (version "0.3.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "182j8jl91735004hbl0i2xxga4r6fk03srfl6g87czkjm9y8q7fw"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Folder share plugin for Thunar file manager")
+    (description
+     "The Thunar Shares Plugin allows you to quickly share a folder using
+Samba from Thunar (the Xfce file manager) without requiring root access.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.

Message received at 54525 <at> debbugs.gnu.org:


Received: (at 54525) by debbugs.gnu.org; 22 Mar 2022 20:50:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:50:00 2022
Received: from localhost ([127.0.0.1]:41954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlS3-0002Ra-TG
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:50:00 -0400
Received: from m12-12.163.com ([220.181.12.12]:50653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlS1-0002RG-1S
 for 54525 <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:49:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-Id:MIME-Version; bh=ixDTu
 tVQpVY09yOV0ScELzQY3GKUPHlWItTEq5WamdU=; b=f56BFCubOwas0unT56cju
 Nj0f1ow4S8USmTJo3AyWIYxkahEPIeAo+Eyj3L4e/YLZc+ogodkzAZ+JisITZzvg
 nLmI0UOzb0W2cnTng7XVrJmmf1so8usanoK/cjSzj6kzM3H9titYhAXlftcp1TrU
 g2kM04clbqa+46cS1sEcSA=
Received: from localhost.localdomain (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAAXZo5pNjpigBBSBg--.56855S2;
 Wed, 23 Mar 2022 04:49:49 +0800 (CST)
From: tumashu@HIDDEN
To: 54525 <at> debbugs.gnu.org
Subject: [PATCH 1/5] gnu: Add thunar-archive-plugin.
Date: Wed, 23 Mar 2022 04:49:38 +0800
Message-Id: <20220322204942.9624-1-tumashu@HIDDEN>
X-Mailer: git-send-email 2.34.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-CM-TRANSID: DMCowAAXZo5pNjpigBBSBg--.56855S2
X-Coremail-Antispam: 1Uf129KBjvJXoW7CF43AryfurWkCr17ZrWfAFb_yoW8Gr1xpr
 1rur1Yg34Sg34fA3yfWF1av3WYqFs3AFn5Cwn7Zw1UGa1aqr4kurySyrWYyr9xCr4xAw42
 gan3Xw4UWFy5ArJanT9S1TB71UUUUUUqnTZGkaVYY2UrUUUUjbIjqfuFe4nvWSU5nxnvy2
 9KBjDUYxBIdaVFxhVjvjDU0xZFpf9x0p_CzuJUUUUU=
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiLw3L1FUMbhnLqQAAsx
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54525
Cc: Feng Shu <tumashu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Feng Shu <tumashu@HIDDEN>

* gnu/packages/xfce.scm (thunar-archive-plugin): New variable.
---
 gnu/packages/xfce.scm | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/gnu/packages/xfce.scm b/gnu/packages/xfce.scm
index b58a517257..9de3db3cc4 100644
--- a/gnu/packages/xfce.scm
+++ b/gnu/packages/xfce.scm
@@ -792,6 +792,27 @@ (define-public thunar-volman
 and import the new pictures from your camera.")
     (license gpl2+)))
 
+(define-public thunar-archive-plugin
+  (package
+    (name "thunar-archive-plugin")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "https://archive.xfce.org/src/thunar-plugins/"
+                           name "/" (version-major+minor version)
+                           "/" name "-" version ".tar.bz2"))
+       (sha256
+        (base32 "059ikda4hig1iqk0g5kqc4p95chj0z1ljhl5qjrlw4l8lf3gm0mz"))))
+    (build-system gnu-build-system)
+    (native-inputs (list pkg-config intltool))
+    (inputs (list exo thunar gtk+))
+    (home-page "https://www.xfce.org/")
+    (synopsis "Archive plugin for Thunar file manager")
+    (description "The Thunar Archive Plugin allows you to create and extract
+archive files using the file context menus in the Thunar file manager.")
+    (license gpl2+)))
+
 (define-public xfwm4
   (package
     (name "xfwm4")
-- 
2.34.0





Information forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Mar 2022 20:47:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 22 16:47:23 2022
Received: from localhost ([127.0.0.1]:41949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWlPX-0002LF-Gs
	for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:47:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:58632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tumashu@HIDDEN>) id 1nWlPV-0002L8-Qa
 for submit <at> debbugs.gnu.org; Tue, 22 Mar 2022 16:47:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59390)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tumashu@HIDDEN>) id 1nWlPV-0007jj-0x
 for bug-guix@HIDDEN; Tue, 22 Mar 2022 16:47:21 -0400
Received: from m12-12.163.com ([220.181.12.12]:29801)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tumashu@HIDDEN>) id 1nWlPR-0005wA-3P
 for bug-guix@HIDDEN; Tue, 22 Mar 2022 16:47:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=163.com;
 s=s110527; h=From:Subject:Date:Message-ID:MIME-Version; bh=fejtG
 IVhjspVDreSGE/J6EWqVZftil+gjQysQuhhfdI=; b=oQhr1239lv3YWSai6o8u8
 FNE1Uo+Cg1ntO8Qymt10VYaC62FYP0xUDayMgtYoBdGSsZ1+fyH4qb2ADiU5jtAY
 OSSa/hM4GAugwJ1KkCTBjDIShMB1ifgA/ytXAIUWX1FlJaBctcajTr0WS/mkr/r4
 ELuqsSNBtydQWD85DxC4zY=
Received: from Guix (unknown [117.92.162.81])
 by smtp8 (Coremail) with SMTP id DMCowAB3KFtBMjpiSexQBg--.15155S2;
 Wed, 23 Mar 2022 04:32:01 +0800 (CST)
From: "Feng Shu" <tumashu@HIDDEN>
To: bug-guix@HIDDEN
Subject: [patchs] Let thunar support plugin search patchs and add some
 thunar plugins.
Date: Wed, 23 Mar 2022 04:32:01 +0800
Message-ID: <875yo5pw3i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-CM-TRANSID: DMCowAB3KFtBMjpiSexQBg--.15155S2
X-Coremail-Antispam: 1Uf129KBjDUn29KB7ZKAUJUUUUU529EdanIXcx71UUUUU7v73
 VFW2AGmfu7bjvjm3AaLaJ3UbIYCTnIWIevJa73UjIFyTuYvjxUxeMKDUUUU
X-Originating-IP: [117.92.162.81]
X-CM-SenderInfo: 5wxpt2lkx6il2tof0z/1tbiwAHL1FXlu2pSPAAAsR
Received-SPF: pass client-ip=220.181.12.12; envelope-from=tumashu@HIDDEN;
 helo=m12-12.163.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PYZOR_CHECK=1.392, RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H3=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


-- 





Acknowledgement sent to "Feng Shu" <tumashu@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54525; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Mar 2022 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.